package formview

import (
	"go_dreamfactory/cmd/v2/lib/common"
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/widget"
	"github.com/sirupsen/logrus"
)

type MailAttachmentView struct {
	BaseformView
}

func (this *MailAttachmentView) CreateView(t *model.TestCase) fyne.CanvasObject {
	mailId := widget.NewEntry()
	mailId.PlaceHolder = "邮件ID"
	this.form.AppendItem(widget.NewFormItem(common.APP_TESTCASE_FORM_MAILID, mailId))

	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(t.MainType, t.SubType, &pb.MailGetUserMailAttachmentReq{
			ObjID: mailId.Text,
		}); err != nil {
			logrus.Error(err)
		}
	}
	return this.form
}
